Name: dctc
Summary: DCTC is a Direct Connect clone
Version: 0.85.9
Release: alt1.1
License: %gpl2plus
Group: Networking/File transfer
Source: %name-%version.tar.gz
Patch1: %name-0.85.9-alt-header.patch

Packager: Eric <evg@altlinux.ru>

Url: http://ac2i.homelinux.com/dctc/

# Automatically added by buildreq on Tue Jul 24 2007
BuildRequires: gcc-c++ glib2-devel libdb4-devel libgcrypt-devel libssl-devel libxml2-devel net-tools packages-info-i18n-common

BuildPreReq: rpm-build-licenses linux-libc-headers

%description
DCTC is a clone of Direct Connect, a Windows client allowing users to
share their files and talk (like IRC but more software sharing
oriented) using a proprietary protocol.

%prep
%setup
%patch1 -p1 -b .orig

sed -i 's|read dum|: #read dum|' configure*

%build
export CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
%__libtoolize
%__aclocal
%__autoheader
%__autoconf
%__automake
%configure --prefix=%prefix
make

%install
make DESTDIR=%buildroot mandir=%_mandir install-strip
find Documentation -type d -name CVS -print0 | xargs -0 rm -rf
find Documentation -type f -iname '*.nl' -print0 | xargs -0 rm -rf
find Documentation -type f -iname '*.pl' -print0 | xargs -0 rm -rf

%files
%_bindir/*
%_man1dir/*
%doc NEWS README AUTHORS ChangeLog TODO KNOWN_BUGS Documentation/Documentation

%changelog
* Sat Jun 14 2008 ALT QA Team Robot <qa-robot@altlinux.org> 0.85.9-alt1.1
- Automated rebuild with libdb-4.7.so.

* Mon Jul 23 2007 Terechkov Evgenii <evg@altlinux.ru> 0.85.9-alt1
- Initial build for Sisyphus

